%global short_name commons-ognl

Name:          apache-%{short_name}
Version:       3.0.2
Release:       10.20120313svn1102435%{?dist}
Summary:       Object Graph Navigation Library 
License:       ASL 2.0
URL:           http://commons.apache.org/ognl/
# svn export -r1102435 http://svn.apache.org/repos/asf/commons/proper/ognl/trunk/ apache-commons-ognl-3.0.2
# tar caf apache-commons-ognl-3.0.2.tar.xz apache-commons-ognl-3.0.2
Source0:       %{name}-%{version}.tar.xz
BuildArch:     noarch

BuildRequires: jna
BuildRequires: maven-local
BuildRequires: mvn(javassist:javassist)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-parent:pom:)
BuildRequires: mvn(org.easymock:easymock)

%description
OGNL is an expression language for getting and setting properties of
Java objects, plus other extras such as list projection and selection
and lambda expressions.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%pom_remove_plugin com.mycila.maven-license-plugin:maven-license-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-clean-plugin

rm -r src/test/java/org/apache/commons/ognl/test/ArithmeticAndLogicalOperatorsTest.java \
  src/test/java/org/apache/commons/ognl/test/ArrayElementsTest.java \
  src/test/java/org/apache/commons/ognl/test/ASTPropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/CollectionDirectPropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/ConstantTest.java \
  src/test/java/org/apache/commons/ognl/test/MethodTest.java \
  src/test/java/org/apache/commons/ognl/test/PropertyArithmeticAndLogicalOperatorsTest.java \
  src/test/java/org/apache/commons/ognl/test/PropertyTest.java \
  src/test/java/org/apache/commons/ognl/test/enhance/TestExpressionCompiler.java

%mvn_file :%{short_name} %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-10.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 3.0.2-9.20120313svn1102435
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-8.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.0.2-7.20120313svn1102435
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 11 2013 Mat Booth <fedora@matbooth.co.uk> - 3.0.2-6.20120313svn1102435
- Update for newer guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-5.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-4.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.0.2-3.20120313svn1102435
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2.20120313svn1102435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 13 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1.20120313svn1102435
- Rename and reversion package
- add jna as a BuildRequires

* Fri Feb 17 2012 Andy Grimm <agrimm@gmail.com> - 3.0.2-1
- Initial package
